org.firebirdsql.gds.ng.jna

## Class NativeLibraryLoadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.firebirdsql.gds.ng.jna.NativeLibraryLoadException

All Implemented Interfaces:
  java.io.Serializable

    public class NativeLibraryLoadException
    extends java.lang.RuntimeException

Thrown when a native library could not be loaded.

Since:
  4.0
Author:
  Mark Rotteveel
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NativeLibraryLoadException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NativeLibraryLoadException

    public NativeLibraryLoadException(java.lang.String message,
                                      java.lang.Throwable cause)